Issue 1611 amend-record of tags should be illegal

Title amend-record of tags should be illegal
Priority feature Status resolved
Milestone 2.8.0 Resolved in 2.8.0
Superseder Nosy List darcs-devel, dmitry.kurochkin, gh, jaredj, kowey
Assigned To
Topics ProbablyEasy, UI

Created on 2009-09-13.14:54:40 by kowey, last changed 2012-03-07.18:38:11 by gh.

msg8803 (view) Author: kowey Date: 2009-09-13.14:54:33
Right now, darcs allows you to add content to tags via amend-record.  This would
probably lead to user confusion and should avoided.  Darcs should just not
propose them in the UI.
msg10367 (view) Author: gh Date: 2010-03-21.13:36:18
Quickdiscussion at Zurihac: Using amend-record on a tag to edit the long
description makes sense, but indeed it should be forbidden to add
hunks/primitive patches to tags.
msg15221 (view) Author: gh Date: 2012-03-07.18:38:10
Resolved in HEAD (I think it was Iago during the 2011-04 sprint).
Date User Action Args
2009-09-13 14:54:40koweycreate
2009-09-14 10:54:28koweysettopic: + Target-2.5, - Target-2.4
nosy: kowey, darcs-devel, jaredj, dmitry.kurochkin
2010-03-21 13:36:25ghsetnosy: + gh
messages: + msg10367
2010-06-15 20:51:59adminsetmilestone: 2.5.0
2010-06-15 20:59:22adminsettopic: - Target-2.5
2010-07-25 14:34:26tux_rockersetmilestone: 2.5.0 -> 2.8.0
2011-04-03 10:51:57ganeshlinkpatch575 issues
2012-03-07 18:38:11ghsetstatus: needs-implementation -> resolved
messages: + msg15221
resolvedin: 2.8.0